package com.gic.haoban.manage.api.dto.qdto.hm;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 活码(TabHaobanHmQrcode)实体类
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public class HmQrcodeListQDTO extends BasePageInfo implements Serializable {

    private static final long serialVersionUID = 887910678030827375L;
    
    private Long hmId;

    /**
     * 1单人 2多人
     */
    private Integer hmTypeInt;
    
    private String wxEnterpriseId;
    
    private String enterpriseId;
    
    private String hmSelect;
    private String hmSelectLike ;

    private String storeSelect;

    private String clerkSelect;

    private Date startTime;
    
    private Date endTime;
    /**
     * 0删除 1正常 2作废 3待生效
     */
    private Integer statusFlagInt;

    private String orderByField;

    /**
     * 活码分组
     */
    private Long hmGroupId;

    private Integer pageNo;

    private List<String> storeId;

    public String getHmSelectLike() {
        return hmSelectLike;
    }

    public void setHmSelectLike(String hmSelectLike) {
        this.hmSelectLike = hmSelectLike;
    }

    public Long getHmId() {
        return hmId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public Integer getHmTypeInt() {
        return hmTypeInt;
    }

    public void setHmTypeInt(Integer hmTypeInt) {
        this.hmTypeInt = hmTypeInt;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getHmSelect() {
        return hmSelect;
    }

    public void setHmSelect(String hmSelect) {
        this.hmSelect = hmSelect;
    }

    public String getStoreSelect() {
        return storeSelect;
    }

    public void setStoreSelect(String storeSelect) {
        this.storeSelect = storeSelect;
    }

    public String getClerkSelect() {
        return clerkSelect;
    }

    public void setClerkSelect(String clerkSelect) {
        this.clerkSelect = clerkSelect;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getStatusFlagInt() {
        return statusFlagInt;
    }

    public void setStatusFlagInt(Integer statusFlagInt) {
        this.statusFlagInt = statusFlagInt;
    }

    public String getOrderByField() {
        return orderByField;
    }

    public void setOrderByField(String orderByField) {
        this.orderByField = orderByField;
    }

    public Long getHmGroupId() {
        return hmGroupId;
    }

    public void setHmGroupId(Long hmGroupId) {
        this.hmGroupId = hmGroupId;
    }

    public List<String> getStoreId() {
        return storeId;
    }

    public void setStoreId(List<String> storeId) {
        this.storeId = storeId;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }
}

